Bug 6066 - gridFTP server and group Names
: gridFTP server and group Names
Status: RESOLVED FIXED
: GridFTP
GridFTP
: 4.0.6
: PC Linux
: P3 major
: 4.0.8
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2008-05-07 01:41 by
Modified: 2008-05-13 18:30 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-05-07 01:41:11
Hi

I have long group names in my /etc/groups file.

The longer the name the more crazy gridftp behaves.

*up to 8 chars is:
  - ok
*over 8 up to about 25 or so:
  - last 8 chars in name
*long names (40+ chars)
  - segfault!

ran110@file2-per:/cem/compgeo> ls -la
total 16
drwxrwxrwx   8 root   Computational_Geoscience                              119
2008-05-07 10:02 .
drwxr-xr-x   3 root   root                                                   20
2008-04-08 17:31 ..
drwxrwx---  29 ran110 CG_Admin_Access                                      4096
2008-04-30 17:08 CGAdmin
drwxrwx---   4 ran110 CEM-CGForcast                                          42
2008-04-30 16:47 CGForecast
drwxrwx---  51 ran110 Computational_Geoscience                             4096
2008-05-05 08:23 Comp_geosci
drwxrwx---  22 ran110 Computational_Geoscience_Industry_Applications_Group 4096
2008-04-30 21:18 IndustryProjects
drwxrwx---   3 ran110 Computational_Geoscience                               18
2008-04-30 20:34 Inversions
drwxrwx---  19 lec012 CEM-Model                                            4096
2008-05-04 22:19 ModellingProjects


guess which group makes gridftp crash?
Computational_Geoscience_Industry_Applications_Group

I would be happy with anything BUT a segfault.
------- Comment #1 From 2008-05-08 02:14:38 -------
Thanks for reporting this.

I see an obvious cause of this in the cases where the LIST or STAT commands are
being used.  Is that how you're hitting the problem?
------- Comment #2 From 2008-05-08 02:35:51 -------
yes
every client we use issues:
cwd
and then list

and the server crashes and the clients are left not having a clue!

currently this looks like a buffer overflow and should probably be treated as
one.

Terry Rankine
------- Comment #3 From 2008-05-13 18:30:19 -------
Fixed and committed to cvs.

An updated globus_gridftp_server_control package will be available at
http://globus.org/toolkit/advisories.html

Mike